# -*- coding: utf-8 -*-
# Copyright 2024 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from google.cloud.developerconnect_v1 import gapic_version as package_version

__version__ = package_version.__version__


from .services.developer_connect import (
    DeveloperConnectAsyncClient,
    DeveloperConnectClient,
)
from .types.developer_connect import (
    Connection,
    CreateConnectionRequest,
    CreateGitRepositoryLinkRequest,
    DeleteConnectionRequest,
    DeleteGitRepositoryLinkRequest,
    FetchGitHubInstallationsRequest,
    FetchGitHubInstallationsResponse,
    FetchGitRefsRequest,
    FetchGitRefsResponse,
    FetchLinkableGitRepositoriesRequest,
    FetchLinkableGitRepositoriesResponse,
    FetchReadTokenRequest,
    FetchReadTokenResponse,
    FetchReadWriteTokenRequest,
    FetchReadWriteTokenResponse,
    GetConnectionRequest,
    GetGitRepositoryLinkRequest,
    GitHubConfig,
    GitRepositoryLink,
    InstallationState,
    LinkableGitRepository,
    ListConnectionsRequest,
    ListConnectionsResponse,
    ListGitRepositoryLinksRequest,
    ListGitRepositoryLinksResponse,
    OAuthCredential,
    OperationMetadata,
    UpdateConnectionRequest,
)

__all__ = (
    "DeveloperConnectAsyncClient",
    "Connection",
    "CreateConnectionRequest",
    "CreateGitRepositoryLinkRequest",
    "DeleteConnectionRequest",
    "DeleteGitRepositoryLinkRequest",
    "DeveloperConnectClient",
    "FetchGitHubInstallationsRequest",
    "FetchGitHubInstallationsResponse",
    "FetchGitRefsRequest",
    "FetchGitRefsResponse",
    "FetchLinkableGitRepositoriesRequest",
    "FetchLinkableGitRepositoriesResponse",
    "FetchReadTokenRequest",
    "FetchReadTokenResponse",
    "FetchReadWriteTokenRequest",
    "FetchReadWriteTokenResponse",
    "GetConnectionRequest",
    "GetGitRepositoryLinkRequest",
    "GitHubConfig",
    "GitRepositoryLink",
    "InstallationState",
    "LinkableGitRepository",
    "ListConnectionsRequest",
    "ListConnectionsResponse",
    "ListGitRepositoryLinksRequest",
    "ListGitRepositoryLinksResponse",
    "OAuthCredential",
    "OperationMetadata",
    "UpdateConnectionRequest",
)
